## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           jacktrip
Version:        2.7.0
Release:        %autorelease
Summary:        A system for high-quality audio network performance over the Internet

License:        MIT and GPL-3.0-or-later and LGPL-3.0-only
URL:            https://github.com/%{name}/%{name}
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson, gcc-c++
BuildRequires:  python3-pyyaml, python3-jinja2
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(rtaudio)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  dbus-devel
BuildRequires:  help2man
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6NetworkAuth)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(Qt6Core5Compat)
BuildRequires:  pkgconfig(Qt6Quick)
BuildRequires:  pkgconfig(Qt6QuickControls2)
BuildRequires:  pkgconfig(Qt6Qml)
BuildRequires:  pkgconfig(Qt6ShaderTools)
BuildRequires:  pkgconfig(Qt6Svg)
BuildRequires:  pkgconfig(Qt6WebSockets)
%ifarch aarch64 x86_64
BuildRequires:  pkgconfig(Qt6WebEngineCore)
BuildRequires:  pkgconfig(Qt6WebChannel)
%endif
BuildRequires:  hicolor-icon-theme
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
Requires:       hicolor-icon-theme
Obsoletes:      jacktrip-doc < 1.4.0

%description
JackTrip is a Linux and Mac OS X-based system used for multi-machine
network performance over the Internet. It supports any number of
channels (as many as the computer/network can handle) of
bidirectional, high quality, uncompressed audio signal steaming.

%prep
%autosetup -p1

%build
%meson -Dbuildinfo="$(cat /etc/redhat-release)" \
%ifnarch aarch64 x86_64
    -Dnovs=true \
%endif
    -Dnoupdater=true \
    -Drtaudio=enabled \
    -Dlibsamplerate=enabled
%meson_build

%install
%meson_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml

%check
%meson_test

%files
%doc README.md
%license LICENSE.md LICENSES
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/org.jacktrip.JackTrip.desktop
%{_metainfodir}/org.jacktrip.JackTrip.metainfo.xml

%changelog
## START: Generated by rpmautospec
* Wed Jul 16 2025 Iñaki Úcar <iucar@fedoraproject.org> - 2.7.0-2
- Remove mentions to cmake

* Mon Jun 30 2025 Iñaki Úcar <iucar@fedoraproject.org> - 2.7.0-1
- Update to 2.7.0 (fedora#2370981)

* Wed Apr 23 2025 Iñaki Úcar <iucar@fedoraproject.org> - 2.6.0-1
- Update to 2.6.0 (fedora#2361805)

* Fri Apr 18 2025 Iñaki Úcar <iucar@fedoraproject.org> - 2.5.1-3
- Fix Qt 6.9 build

* Fri Feb 07 2025 Iñaki Úcar <iucar@fedoraproject.org> - 2.5.1-2
- Enable sample rate conversion

* Sat Feb 01 2025 Iñaki Úcar <iucar@fedoraproject.org> - 2.5.1-1
- Update to 2.5.1

* Tue Jan 28 2025 Iñaki Úcar <iucar@fedoraproject.org> - 2.5.0-1
- Update to 2.5.0

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Nov 01 2024 Iñaki Úcar <iucar@fedoraproject.org> - 2.4.1-3
- Rebuild

* Fri Oct 18 2024 Richard Shaw <hobbes1069@gmail.com> - 2.4.1-2
- Rebuild for new rtaudio.

* Sat Sep 28 2024 Iñaki Úcar <iucar@fedoraproject.org> - 2.4.1-1
- Update to 2.4.1

* Sat Sep 14 2024 Iñaki Úcar <iucar@fedoraproject.org> - 2.4.0-1
- Update to 2.4.0

* Wed Aug 21 2024 Iñaki Úcar <iucar@fedoraproject.org> - 2.3.1-1
- Update to 2.3.1

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Apr 01 2024 Iñaki Úcar <iucar@fedoraproject.org> - 2.2.5-1
- Update to 2.2.5

* Fri Mar 15 2024 Iñaki Úcar <iucar@fedoraproject.org> - 2.2.4-1
- Update to 2.2.4

* Wed Mar 06 2024 Iñaki Úcar <iucar@fedoraproject.org> - 2.2.3-1
- Update to 2.2.3

* Mon Feb 12 2024 Iñaki Úcar <iucar@fedoraproject.org> - 2.2.2-1
- Update to 2.2.2

* Fri Feb 02 2024 Iñaki Úcar <iucar@fedoraproject.org> - 2.2.1-1
- Update to 2.2.1

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 14 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0

* Mon Sep 04 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.0.2-1
- Update to Update 2.0.2

* Thu Aug 31 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.0.1-1
- Update to Update 2.0.1

* Wed Aug 30 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.0.0-4
- Remove unneeded Requires

* Tue Aug 29 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.0.0-3
- Update 2.0.0 - Enable Virtual Studio only in WebEngine arches

* Tue Aug 29 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.0.0-2
- Update 2.0.0 - Enable Virtual Studio only in WebEngine arches

* Tue Aug 29 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.0.0-1
- Update 2.0.0

* Tue Aug 15 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.10.1-1
- Update to 1.10.1

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 17 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.10.0-1
- Update to 1.10.0

* Sun May 14 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.9.0-1
- Update to 1.9.0

* Mon Apr 10 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.8.1-3
- Fix SPDX tag

* Sun Apr 09 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.8.1-2
- Adapt license tag to SPDX

* Wed Apr 05 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.8.1-1
- Update to v1.8.1

* Tue Mar 21 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.8.0-1
- Update to v1.8.0

* Wed Feb 15 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.7.1-1
- Update to v1.7.1

* Wed Jan 25 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.7.0-1
- Update to v1.7.0

* Wed Jan 25 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.8-3
- Add missing runtime dependencies

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 06 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.8-1
- Update to v1.6.8

* Sun Dec 04 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.7-1
- Update to v1.6.7

* Thu Nov 03 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.6-1
- Update to v1.6.6

* Mon Sep 19 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.4-1
- Update to v1.6.4

* Wed Aug 24 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.3-1
- Update to v1.6.3

* Mon Aug 22 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.2-1
- Update to v1.6.2

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 21 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.1-1
- Update to v1.6.1

* Thu Jun 02 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.0-1
- Update to v1.6.0

* Mon Mar 28 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.5.3-1
- Update to 1.5.3 (#2069182)

* Thu Mar 03 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.5.2-1
- Update to v1.5.2

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 17 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.5.1-1
- Update to v1.5.1

* Mon Jan 03 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.5.0-1
- Update to v1.5.0

* Mon Dec 20 2021 Iñaki Úcar <iucar@fedoraproject.org> - 1.4.3-1
- Update to v1.4.3

* Fri Dec 10 2021 Iñaki Úcar <iucar@fedoraproject.org> - 1.4.2-1
- Update to v1.4.2

* Thu Nov 11 2021 Iñaki Úcar <iucar@fedoraproject.org> - 1.4.1-1
- Update to v1.4.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 16 2021 Iñaki Úcar <iucar@fedoraproject.org> - 1.3.0-1
- Update to v1.3.0

* Mon Oct 26 2020 Iñaki Úcar <iucar@fedoraproject.org> - 1.2.1-1
- Initial import (#1891022)
## END: Generated by rpmautospec
